Bug 1676045 - strace: FTBFS in Fedora rawhide/f30
Summary: strace: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry V. Levin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:04 UTC by Fedora Release Engineering
Modified: 2019-03-29 19:17 UTC (History)
2 users (show)

Fixed In Version: strace-5.0-1.fc29 strace-5.0-1.fc28 strace-5.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 00:05:10 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:04 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:04 UTC, Fedora Release Engineering
no flags Details
state.log (613 bytes, text/plain)
2019-02-11 22:04 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:04:24 UTC
strace failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32500619


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix strace at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
strace will be orphaned. Before branching of Fedora 31,
strace will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:04:28 UTC
Created attachment 1533097 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:04:29 UTC
Created attachment 1533098 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:04:30 UTC
Created attachment 1533099 [details]
state.log

Comment 4 Dmitry V. Levin 2019-02-12 00:05:10 UTC
This issue has been addressed by upstream commit v4.26-39-g898f0ad0b.
The next release of strace containing the fix is expected soon after Linux 5.0 release.

Comment 5 Fedora Update System 2019-03-19 06:10:49 UTC
strace-5.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5aeee497b7

Comment 6 Fedora Update System 2019-03-19 06:12:13 UTC
strace-5.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6727cdd191

Comment 7 Fedora Update System 2019-03-19 06:14:35 UTC
strace-5.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8469478d8

Comment 8 Fedora Update System 2019-03-20 22:01:48 UTC
strace-5.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6727cdd191

Comment 9 Fedora Update System 2019-03-20 22:17:47 UTC
strace-5.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c8469478d8

Comment 10 Fedora Update System 2019-03-21 19:11:19 UTC
strace-5.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5aeee497b7

Comment 11 Fedora Update System 2019-03-25 06:05:16 UTC
strace-5.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-03-29 02:03:54 UTC
strace-5.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-03-29 19:17:59 UTC
strace-5.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.